# Load distro-specific variables
- include_vars: "{{ ansible_distribution | lower }}.yml"
  tags: always

- block:
  - debug:
      msg: Debug
  # install software
  - import_tasks: install_apache.yml
    when:
      - apache is defined
      - apache == true
  - import_tasks: install_nginx.yml
    when:
      - nginx is defined
      - nginx == true
  - import_tasks: install_php.yml
  - name: webserver | certbot | install certbot
    package:
      name: certbot
      state: latest
  - include_tasks: apps/apps.yml